
# IngestRequest

RAG document ingestion request.

## Properties

Name | Type
------------ | -------------
`collection` | string
`content` | string
`docId` | string
`metadata` | { [key: string]: any; }

## Example

```typescript
import type { IngestRequest } from '@rugmunch/sdk'

// TODO: Update the object below with actual values
const example = {
  "collection": null,
  "content": null,
  "docId": null,
  "metadata": null,
} satisfies IngestRequest

console.log(example)

// Convert the instance to a JSON string
const exampleJSON: string = JSON.stringify(example)
console.log(exampleJSON)

// Parse the JSON string back to an object
const exampleParsed = JSON.parse(exampleJSON) as IngestRequest
console.log(exampleParsed)
```

[[Back to top]](#) [[Back to API list]](../README.md#api-endpoints) [[Back to Model list]](../README.md#models) [[Back to README]](../README.md)


